

<?php

// DB connection
require('settings.php');

function sanitizeData($data){

    global $link;

    if (is_array($data) || is_object($data)){
        foreach($data AS $key => $value){
            if(is_array($value)){
                foreach($value as $arrayKey => $arrayValue){
                    $data[$key][$arrayKey] = mysqli_real_escape_string($link, $arrayValue); 
                }
            } else {
                $data[$key] = mysqli_real_escape_string($link, $value); 
            }
        }
    }

    return $data;
}

if (!empty($_POST)) {

    $postdata = sanitizeData($_POST['Form']);

    // data corrections
    $postdata['message'] = trim(preg_replace('/\s\s+/', ' ', $postdata['message']));

    //Load Composer's autoloader
    require('phpmailer/PHPMailerAutoload.php');

    // receives POST data from web forms
    // do validations etc
    // send email and return to success page if valid
    // return to error page if invalid
    $email = array();

    $mail = new PHPMailer;
    $sent = false;

    $mail->IsSMTP();
    $mail->SMTPSecure = 'tsl';
    $mail->SMTPAuth = true;
    $mail->Port = 587;

    $mail->Host = $mailer_host;
    $mail->Username = $mailer_username;
    $mail->Password = $mailer_password;

    $mail->isHTML(true);
    $mail->setFrom($mailer_username,$mailer_hostname);
    $mail->addReplyTo($mailer_username,$mailer_hostname);

    $mail->addAddress($mailer_recepient);

    $mail->isHTML(true);

    $mail->Subject = "A new message from {$postdata['name']}";
    $mail->Body    = "
        <p>There is a new message from KARA web contact form (www.kara.co.id):</p>

        <p><strong>Form language: </strong><br> {$postdata['lang']}</p>
        <p><strong>Name: </strong><br> {$postdata['name']}</p>
        <p><strong>Phone: </strong><br> {$postdata['phone']}</p>
        <p><strong>Email: </strong><br> {$postdata['email']}</p>
        <p><strong>Message Category: </strong><br> {$postdata['category']}</p>
        <p><strong>Message</strong>: <br> <em>{$postdata['message']}</em></p>

    ";

    if($mail->send()) {
       
        $destination = "Location: contact.php?l={$postdata['lang']}&m=msg_sent";
        header($destination);
        exit();

    } else {
        echo 'There was an error sending the email.';
    }



} else {
    echo 'No POST data is received';
}